Prima::ScrollWidget - scrollable generic document widget. "Prima::ScrollWidget" is a simple class that declares two pairs of properties, delta and limit for vertical and horizontal axes, which define a a virtual document. limit is the document dimension, and delta is the current offset. "Prima::ScrollWidget" is a descendant of "Prima::GroupScroller", and, as well as its ascendant, provides same user navigation by two scrollbars. The scrollbars' "partial" and "whole" properties are maintained if the document or widget extensions change.

Properties
Selects horizontal and vertical document offsets. Selects horizontal document offset. Selects vertical document offset. Selects horizontal and vertical document extensions. Selects horizontal document extension. Selects vertical document extension. Dmitry Karasik, <dmitry@karasik.eu.org>. Prima, Prima::ImageViewer, Prima::IntUtils, Prima::ScrollBar, examples/e.pl.